Bug 1574470 - Upgrade fails with "FAILED - RETRYING: Mark node unschedulable" error [NEEDINFO]
Summary: Upgrade fails with "FAILED - RETRYING: Mark node unschedulable" error
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Cluster Version Operator
Version: 3.6.0
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: 3.6.z
Assignee: Scott Dodson
QA Contact: liujia
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-03 11:41 UTC by Manikandan Somasundaram
Modified: 2021-06-10 16:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-21 13:29:11 UTC
Target Upstream Version:
sdodson: needinfo? (msomasun)


Attachments (Terms of Use)

Comment 1 Scott Dodson 2018-05-03 12:38:01 UTC
Their inventory names don't match the names that the nodes registered with. Either update the inventory to have names that match the nodes or add openshift_hostname variables to each host which match the node names. 

Example 

[masters]
sinccbaprhp178.sq.com.sg openshift_node_labels='{"region":"master"}'
sinccbaprhp179.sq.com.sg openshift_node_labels='{"region":"master"}'
sinccbaprhp180.sq.com.sg openshift_node_labels='{"region":"master"}'

Or

[masters]
sinccbaprhp178 openshift_node_labels='{"region":"master"}' openshift_hostname=sinccbaprhp178.sq.com.sg
sinccbaprhp179 openshift_node_labels='{"region":"master"}' openshift_hostname=sinccbaprhp179.sq.com.sg
sinccbaprhp180 openshift_node_labels='{"region":"master"}' openshift_hostname=sinccbaprhp180.sq.com.sg

Do this for all masters and nodes.


Note You need to log in before you can comment on or make changes to this bug.